Linkage (Gradle API 9.0.0)
Description: declaration: package: org.gradle.nativeplatform, enum: Linkage

Package org.gradle.nativeplatform

# Enum Linkage

java.lang.Object
java.lang.Enum<Linkage>
org.gradle.nativeplatform.Linkage

All Implemented Interfaces:
  `Serializable`, `Comparable<Linkage>`, `java.lang.constant.Constable`, `Named`

public enum Linkage extends Enum<Linkage> implements Named
Specify how a native library should be linked into another binary.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SHARED`
  Dynamically link binaries together.
  `STATIC`
  Statically link binaries together.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  The object's name.
  `static Linkage`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Linkage[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATIC

    public static final Linkage STATIC
    Statically link binaries together.

  - ### SHARED

    public static final Linkage SHARED
    Dynamically link binaries together.

- ## Method Details

  - ### values

    public static Linkage[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Linkage valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Description copied from interface: `Named`
    The object's name.

    Must be constant for the life of the object.

    Specified by:
      `getName` in interface `Named`
    Returns:
      The name. Never null.